<?xml version="1.0"?>
<feed xmlns="http://www.w3.org/2005/Atom" xml:lang="ru">
	<id>https://massarn.com/w/index.php?action=history&amp;feed=atom&amp;title=%D0%A8%D0%B0%D0%B1%D0%BB%D0%BE%D0%BD%3A%D0%A0%D0%B0%D0%B7%D0%B4%D0%B5%D0%BB_%D0%B7%D0%B0%D0%B3%D0%BB%D0%B0%D0%B2%D0%BD%D0%BE%D0%B9_%D1%81%D1%82%D1%80%D0%B0%D0%BD%D0%B8%D1%86%D1%8B%2Fstyles.css</id>
	<title>Шаблон:Раздел заглавной страницы/styles.css - История изменений</title>
	<link rel="self" type="application/atom+xml" href="https://massarn.com/w/index.php?action=history&amp;feed=atom&amp;title=%D0%A8%D0%B0%D0%B1%D0%BB%D0%BE%D0%BD%3A%D0%A0%D0%B0%D0%B7%D0%B4%D0%B5%D0%BB_%D0%B7%D0%B0%D0%B3%D0%BB%D0%B0%D0%B2%D0%BD%D0%BE%D0%B9_%D1%81%D1%82%D1%80%D0%B0%D0%BD%D0%B8%D1%86%D1%8B%2Fstyles.css"/>
	<link rel="alternate" type="text/html" href="https://massarn.com/w/index.php?title=%D0%A8%D0%B0%D0%B1%D0%BB%D0%BE%D0%BD:%D0%A0%D0%B0%D0%B7%D0%B4%D0%B5%D0%BB_%D0%B7%D0%B0%D0%B3%D0%BB%D0%B0%D0%B2%D0%BD%D0%BE%D0%B9_%D1%81%D1%82%D1%80%D0%B0%D0%BD%D0%B8%D1%86%D1%8B/styles.css&amp;action=history"/>
	<updated>2026-04-19T18:10:20Z</updated>
	<subtitle>История изменений этой страницы в вики</subtitle>
	<generator>MediaWiki 1.43.0</generator>
	<entry>
		<id>https://massarn.com/w/index.php?title=%D0%A8%D0%B0%D0%B1%D0%BB%D0%BE%D0%BD:%D0%A0%D0%B0%D0%B7%D0%B4%D0%B5%D0%BB_%D0%B7%D0%B0%D0%B3%D0%BB%D0%B0%D0%B2%D0%BD%D0%BE%D0%B9_%D1%81%D1%82%D1%80%D0%B0%D0%BD%D0%B8%D1%86%D1%8B/styles.css&amp;diff=230&amp;oldid=prev</id>
		<title>Buto: Новая страница: «/* Новое оформление шаблона Шаблон:Раздел заглавной страницы  Основано на: https://github.com/wikimedia/wikimedia-ui-base/blob/master/wikimedia-ui-base.less https://design.wikimedia.org/style-guide/ */ .main-box { 	background: var(--background-color-base, #fff); 	border: 1px solid var(--border-color-subtle, #c8ccd1); 	border-width: 1px 0; 	box-shadow: 0 1px 1px rgba( 0, 0, 0, 0.15 ); 	margin: 0...»</title>
		<link rel="alternate" type="text/html" href="https://massarn.com/w/index.php?title=%D0%A8%D0%B0%D0%B1%D0%BB%D0%BE%D0%BD:%D0%A0%D0%B0%D0%B7%D0%B4%D0%B5%D0%BB_%D0%B7%D0%B0%D0%B3%D0%BB%D0%B0%D0%B2%D0%BD%D0%BE%D0%B9_%D1%81%D1%82%D1%80%D0%B0%D0%BD%D0%B8%D1%86%D1%8B/styles.css&amp;diff=230&amp;oldid=prev"/>
		<updated>2024-12-29T20:16:32Z</updated>

		<summary type="html">&lt;p&gt;Новая страница: «&lt;span class=&quot;autocomment&quot;&gt;Новое оформление шаблона &lt;a href=&quot;/w/%D0%A8%D0%B0%D0%B1%D0%BB%D0%BE%D0%BD:%D0%A0%D0%B0%D0%B7%D0%B4%D0%B5%D0%BB_%D0%B7%D0%B0%D0%B3%D0%BB%D0%B0%D0%B2%D0%BD%D0%BE%D0%B9_%D1%81%D1%82%D1%80%D0%B0%D0%BD%D0%B8%D1%86%D1%8B&quot; title=&quot;Шаблон:Раздел заглавной страницы&quot;&gt;Шаблон:Раздел заглавной страницы&lt;/a&gt;  Основано на: https://github.com/wikimedia/wikimedia-ui-base/blob/master/wikimedia-ui-base.less https://design.wikimedia.org/style-guide/: &lt;/span&gt; .main-box { 	background: var(--background-color-base, #fff); 	border: 1px solid var(--border-color-subtle, #c8ccd1); 	border-width: 1px 0; 	box-shadow: 0 1px 1px rgba( 0, 0, 0, 0.15 ); 	margin: 0...»&lt;/p&gt;
&lt;p&gt;&lt;b&gt;Новая страница&lt;/b&gt;&lt;/p&gt;&lt;div&gt;/*&lt;br /&gt;
Новое оформление шаблона [[Шаблон:Раздел заглавной страницы]]&lt;br /&gt;
&lt;br /&gt;
Основано на:&lt;br /&gt;
https://github.com/wikimedia/wikimedia-ui-base/blob/master/wikimedia-ui-base.less&lt;br /&gt;
https://design.wikimedia.org/style-guide/&lt;br /&gt;
*/&lt;br /&gt;
.main-box {&lt;br /&gt;
	background: var(--background-color-base, #fff);&lt;br /&gt;
	border: 1px solid var(--border-color-subtle, #c8ccd1);&lt;br /&gt;
	border-width: 1px 0;&lt;br /&gt;
	box-shadow: 0 1px 1px rgba( 0, 0, 0, 0.15 );&lt;br /&gt;
	margin: 0 -1rem 1.5rem;&lt;br /&gt;
	padding: 1rem;&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
/* Изображение дня */&lt;br /&gt;
.main-box-image-only .main-box-imageContent {&lt;br /&gt;
	margin: 0.5rem -1rem 0;&lt;br /&gt;
	text-align: center;&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
.main-box-image-only .main-box-imageContent img {&lt;br /&gt;
	height: auto;&lt;br /&gt;
	max-width: 100%;&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
.main-box-imageCaption {&lt;br /&gt;
	display: grid;&lt;br /&gt;
	gap: 0.5em;&lt;br /&gt;
	margin-top: 0.5em;&lt;br /&gt;
	place-items: center;&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
.main-box-imageCaption &amp;gt; * {&lt;br /&gt;
	margin: 0;&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
/* Надзаголовок */&lt;br /&gt;
.main-box-header {&lt;br /&gt;
	border: 0;&lt;br /&gt;
	color: var(--color-subtle, #54595d);&lt;br /&gt;
	font: inherit;&lt;br /&gt;
	line-height: 1.25;&lt;br /&gt;
	margin: 0;&lt;br /&gt;
	/* Балансирование верхней границы надзаголовка из-за line-height: 1.25; */&lt;br /&gt;
	margin-top: -.125em;&lt;br /&gt;
	padding: 0;&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
/* Заголовок */&lt;br /&gt;
.main-box-header .main-header.main-header.main-header {&lt;br /&gt;
	margin-bottom: 0;&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
.main-box:not(:hover) .main-box-header a:not(:focus):not(:active) {&lt;br /&gt;
	color: inherit;&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
/* При появлении надзаголовка сбрасываем margin на стандартное значение */&lt;br /&gt;
.main-box-header .main-box-subtitle + .main-header {&lt;br /&gt;
	margin-top: 0;&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
/* Контент */&lt;br /&gt;
.main-box-header + .main-box-content {&lt;br /&gt;
	margin-top: 0.25em;&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
.main-box-content &amp;gt; p:first-of-type,&lt;br /&gt;
.main-box-content &amp;gt; ul:first-of-type {&lt;br /&gt;
	margin-top: 0;&lt;br /&gt;
	padding-top: 0;&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
.main-box-content &amp;gt; p:last-child {&lt;br /&gt;
	 margin-bottom: 0;&lt;br /&gt;
	 padding-bottom: 0;&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
/* Подвал */&lt;br /&gt;
.main-footer {&lt;br /&gt;
	clear: both;&lt;br /&gt;
	display: block;&lt;br /&gt;
	margin-top: 1rem;&lt;br /&gt;
	position: relative;&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
html.client-js .main-footer {&lt;br /&gt;
	display: flex;&lt;br /&gt;
	justify-content: flex-end;&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
.main-footer:empty {&lt;br /&gt;
	display: none;&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
.main-footer-actions {&lt;br /&gt;
	flex: 1;&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
.main-footer-actions &amp;gt; ul {&lt;br /&gt;
	align-items: center;&lt;br /&gt;
	display: flex;&lt;br /&gt;
	gap: 0.5em;&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
/* Меню */&lt;br /&gt;
.main-footer-menuToggle {&lt;br /&gt;
	align-items: center;&lt;br /&gt;
	float: none;&lt;br /&gt;
	height: 100%;&lt;br /&gt;
	margin: 0 calc( -1 * ( 32px - 20px ) / 2 );&lt;br /&gt;
	opacity: 0.87;&lt;br /&gt;
	padding: 0 calc( ( 32px - 20px ) / 2 );&lt;br /&gt;
	position: relative;&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
.main-footer-menu.mw-made-collapsible:hover .main-footer-menuToggle {&lt;br /&gt;
	opacity: 0.51;&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
.main-footer-menuToggle .mw-collapsible-toggle-placeholder {&lt;br /&gt;
	display: none;&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
.main-footer-menuToggle .mw-collapsible-toggle {&lt;br /&gt;
	height: 100%;&lt;br /&gt;
	left: 0;&lt;br /&gt;
	position: absolute;&lt;br /&gt;
	top: 0;&lt;br /&gt;
	width: 100%;&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
.main-footer-menuToggle .mw-collapsible-toggle::before,&lt;br /&gt;
.main-footer-menuToggle .mw-collapsible-toggle::after,&lt;br /&gt;
.main-footer-menuToggle .mw-collapsible-toggle &amp;gt; * {&lt;br /&gt;
	opacity: 0.001;&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
html.client-nojs .main-footer-menuToggle {&lt;br /&gt;
	display: none;&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
/* Выпадайка */&lt;br /&gt;
.main-footer-menuDropdown {&lt;br /&gt;
	font-size: 0.85em;&lt;br /&gt;
	margin: 0.5em 0 -0.5rem;&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
html.client-js body.skin-minerva .main-footer-menu:not(.mw-made-collapsible) .main-footer-menuDropdown {&lt;br /&gt;
	/* в Минерве не хватает для этого стиля */&lt;br /&gt;
	display: none;&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
.main-footer-menu.mw-made-collapsible .main-footer-menuDropdown {&lt;br /&gt;
	background: var(--background-color-base, #fff);&lt;br /&gt;
	border: 1px solid var(--border-color-base, #a2a9b1);&lt;br /&gt;
	border-radius: 2px;&lt;br /&gt;
	box-shadow: 0 2px 2px 0 rgba( 0, 0, 0, 0.25 );&lt;br /&gt;
	font-size: 1em;&lt;br /&gt;
	max-width: 15em;&lt;br /&gt;
	margin: 0;&lt;br /&gt;
	position: absolute;&lt;br /&gt;
	right: 0;&lt;br /&gt;
	top: 100%;&lt;br /&gt;
	z-index: 100;&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
.main-footer-menu:not(.mw-made-collapsible) .main-footer-menuDropdown &amp;gt; ul {&lt;br /&gt;
	display: flex;&lt;br /&gt;
	gap: 0.5em;&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
.main-footer-menuDropdown a {&lt;br /&gt;
	min-width: 0;&lt;br /&gt;
	max-width: none;&lt;br /&gt;
	white-space: nowrap;&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
/* См. [[Шаблон:Заглавная/Кнопка/styles.css]] */&lt;br /&gt;
.main-footer-menu.mw-made-collapsible .main-footer-menuDropdown a {&lt;br /&gt;
	justify-content: flex-start;&lt;br /&gt;
	text-align: left;&lt;br /&gt;
	width: 100%;&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
/*&lt;br /&gt;
Мобильные&lt;br /&gt;
*/&lt;br /&gt;
@media (max-width: 719px) {&lt;br /&gt;
	.main-box-responsive-image .mw-halign-left.mw-halign-left.mw-halign-left,&lt;br /&gt;
	.main-box-responsive-image .mw-halign-right.mw-halign-right.mw-halign-right {&lt;br /&gt;
		float: none;&lt;br /&gt;
		margin-left: 0;&lt;br /&gt;
		margin-right: 0;&lt;br /&gt;
		text-align: center;&lt;br /&gt;
		width: 100%;&lt;br /&gt;
	}&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
/*&lt;br /&gt;
Планшеты&lt;br /&gt;
*/&lt;br /&gt;
@media (min-width: 720px) {&lt;br /&gt;
	.main-box {&lt;br /&gt;
		border-radius: 2px;&lt;br /&gt;
		border-width: 1px;&lt;br /&gt;
		margin-bottom: 1rem;&lt;br /&gt;
		margin-left: 0;&lt;br /&gt;
		margin-right: 0;&lt;br /&gt;
	}&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
/*&lt;br /&gt;
Широкие стационарные компьютеры&lt;br /&gt;
*/&lt;br /&gt;
@media (min-width: 1280px) {&lt;br /&gt;
	.main-box {&lt;br /&gt;
		margin-bottom: 1.5rem;&lt;br /&gt;
		padding: 1.5rem;&lt;br /&gt;
	}&lt;br /&gt;
	&lt;br /&gt;
	body.skin-minerva .main-box {&lt;br /&gt;
		padding: 1rem;&lt;br /&gt;
	}&lt;br /&gt;
	&lt;br /&gt;
	body:not(.skin-minerva) .main-box-image-only .main-box-imageContent {&lt;br /&gt;
		margin-left: -1.5rem;&lt;br /&gt;
		margin-right: -1.5rem;&lt;br /&gt;
	}&lt;br /&gt;
	&lt;br /&gt;
	body.skin-minerva .main-footer-menu {&lt;br /&gt;
		display: block;&lt;br /&gt;
	}&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
/*&lt;br /&gt;
Кастомизация для десктопной версии: всегда показывать элементы, помеченные классами только для участников&lt;br /&gt;
*/&lt;br /&gt;
body:not(.skin-minerva) .main-box.group-user-show {&lt;br /&gt;
	display: block;&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
body:not(.skin-minerva) .main-footer-actions .group-user-show {&lt;br /&gt;
	display: block;&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
body:not(.skin-minerva) .main-footer-menu {&lt;br /&gt;
	display: block;&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
/* [[Категория:Шаблоны:Подстраницы CSS]] */&lt;/div&gt;</summary>
		<author><name>Buto</name></author>
	</entry>
</feed>